[arch-commits] Commit in imagemagick/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu May 21 23:18:27 EDT 2009


    Date: Thursday, May 21, 2009 @ 23:18:27
  Author: eric
Revision: 39871

upgpkg: imagemagick 6.5.2.7-1
    Upstream update

Modified:
  imagemagick/trunk/ChangeLog
  imagemagick/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   14 +++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-05-21 22:26:26 UTC (rev 39870)
+++ ChangeLog	2009-05-22 03:18:27 UTC (rev 39871)
@@ -1,3 +1,8 @@
+2009-05-21  Eric Belanger  <eric at archlinux.org>
+
+	* imagemagick 6.5.2.7-1
+	* Upstream update
+
 2009-04-29  Eric Belanger  <eric at archlinux.org>
 
 	* imagemagick 6.5.1.9-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-21 22:26:26 UTC (rev 39870)
+++ PKGBUILD	2009-05-22 03:18:27 UTC (rev 39871)
@@ -8,7 +8,7 @@
 # install old package, build new package, install new package, rebuild
 
 pkgname=imagemagick
-pkgver=6.5.1.9
+pkgver=6.5.2.7
 pkgrel=1
 pkgdesc="An image viewing/manipulation program"
 arch=('i686' 'x86_64')
@@ -19,14 +19,14 @@
 options=('!makeflags' '!docs')
 source=(ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-${pkgver%.*}-${pkgver##*.}.tar.bz2 \
         libpng_mmx_patch_x86_64.patch add_delegate.patch)
-md5sums=('b2a0f76a83bfe38fd1cdfc3b8ed44c6e' '069980fc2590c02aed86420996259302'\
+md5sums=('267b5671220098369eeb6f7436701cda' '069980fc2590c02aed86420996259302'\
          '7f5851c4450b73d52df55c7e806cc316')
-sha1sums=('92c398ca549d2e66dc77e6a7bfa5f925d0bc6db4'
+sha1sums=('289084e4091ffcc2bb687a3e193580a585810c19'
           'e42f3acbe85b6098af75c5cecc9a254baaa0482c'
           '19b40dcbc5bf8efb8ce7190fed17e2921de32ea5')
 
 build() {
-  cd ${srcdir}/ImageMagick-${pkgver%.*}-${pkgver##*.}
+  cd "${srcdir}/ImageMagick-${pkgver%.*}-${pkgver##*.}"
 
   if [ "${CARCH}" = "x86_64" ]; then
     patch -Np1 < ../libpng_mmx_patch_x86_64.patch || return 1
@@ -44,9 +44,9 @@
               --without-jbig --without-fpx --without-dps || return 1
 
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
-  install -D -m644 NOTICE ${pkgdir}/usr/share/licenses/${pkgname}/NOTICE || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
+  install -D -m644 NOTICE "${pkgdir}/usr/share/licenses/${pkgname}/NOTICE" || return 1
 
   #Cleaning
   find ${pkgdir} -name '*.bs' -exec rm {} \; || return 1



More information about the arch-commits mailing list